Web lists-archives.com

Re: [Mingw-msys] Re: Apache + mod_perl




Hi all,
 
I have been reading as many messages related to installation of msys as I can in the mingw-msys archive, but I did not see any posts that describe which MSYS-1.0.11 files should be installed in which order to update a base msys-1.0.10 system to whatever the current state of msys-1.0.11 may or should be.
 
I have used MinGW-5.1.3.exe to install gcc and g++, then installed MSYS-1.0.11.exe as recommended.  My directory structure is also as recommended, c:\msys\1.0 for msys and c:\msys\1.0\mingw for gcc and g++.  I DL'd and ran msysDTK-1.0.1.exe as well.
 
Now I would like to update to msys-1.0.11 as far as possible, so I DL'd all the "Technology Preview" *.tar.gz or *.tar.bz2 files on the download page under MSYS Base System, but there isn't a reference anywhere I could find that indicates in what order these archives should be installed, if any order is needed.
 
In particular, I now have both msysCORE-1.0.11-2007.01.19-1.tar.bz2 and coreutils-5.97-MSYS-1.0.11-snapshot.tar.bz2.  The msysCORE archive seems to have about half the utilities dated 2002 and 2003 and the rest in January 2007, while the base msys-1.1.10 installed all the core utilities dated in March 2004.  The coreutilis snapshot has many of the same utilities (but not all of them) dated in August 2007.  Plus the coreutils snapshot has a different directory structure, with an extra level named "coreutils-5.97" above the bin/doc/info/lib directories.
 
So should the msysCORE be installed first and the coreutils snapshot laid over that?  Should the coreutils contents be copied after extracting the archive to the regular msys directories?
 
What about the individual utility sets like findutils and diffutils?  Should they be installed over the msysCORE and coreutils snapshot, or instead of one or both of them, or not at all?
 
And I have similar questions for the DTK utilities.  Should I use autoconf-2.5-2.61 or autoconf-2.1-2.13?  automake-1.9 or automake-1.10 or automake-3-1?  Should I install gettext-1.16.1-1.bin or gettext-0.16.1-MSYS-1.0.11-1?
 
If there is a page or a message or set of messages I need to read to clear up my confusion, please point me to them and I will do so.
 
TIA for any help you can provide.
 
Regards,
 
Peter
-------------------------------------------------------------------------
This SF.net email is sponsored by the 2008 JavaOne(SM) Conference 
Don't miss this year's exciting event. There's still time to save $100. 
Use priority code J8TL2D2. 
http://ad.doubleclick.net/clk;198757673;13503038;p?http://java.sun.com/javaone
_______________________________________________
Mingw-msys mailing list
Mingw-msys@xxxxxxxxxxxxxxxxxxxxx
https://lists.sourceforge.net/lists/listinfo/mingw-msys